<?php
include "fefunctions.php";
include "iocommand.php";
start_session();

   /***********************************************************************
   *    Copyright � 2002 - 2005 Hewlett-Packard Development Company, L.P. *
   ***********************************************************************/

$_SESSION["page"] = "diagnosislog.php";
$pid = $_REQUEST["pid"];
$language = GetLanguage();
?>
<html>
  <head>
  <meta http-equiv='content-type' content='text/html; charset=UTF-8'>
  <TITLE>HP Insight Diagnostics</TITLE>
  <link rel='stylesheet' type='text/css' href='stylesheets/main.css'>
  <script type="text/javascript" src="rpc.js"></script>
  <SCRIPT LANGUAGE='JavaScript' SRC='menufunctions.js'></SCRIPT>
    <SCRIPT LANGUAGE='JavaScript' SRC='dom-drag.js'></SCRIPT>
    <style style='text/css'> body { background:white; } 
	#rootIt {
		position:absolute;
		height:200px;
		width:500px;
		background-color:#F4F4F4;
		border:1px solid #333;
		font-family:verdana, sans-serif;
		font-size:10px;
		}

	#handleIt {
		margin:2px;
		padding:2px;
		width:492px;
		color:black;
		background-color:#cccccc;
		cursor:default;
		}
	
	p {
		margin-top:2px;
		margin-bottom:1em;
		}
    
    </style>
    <script language="Javascript">
      function initPage()
      {
          /*
	      theHandle = document.getElementById("handleIt");
	      theRoot   = document.getElementById("rootIt");
	      Drag.init(theHandle, theRoot);

	      theaboutHandle = document.getElementById("abouthandleIt");
	      theaboutRoot   = document.getElementById("aboutrootIt");
	      Drag.init(theaboutHandle, theaboutRoot);        
          */
        top.frames.dataFrame2.enableLogSubTabs();
        top.frames.dataFrame1.enableTabs();
      }

      <?php BuildSaveDivJavascript("diagnosisLogForm"); ?>
    </script>
</head>
<body TOPMARGIN=0 MARGINHEIGHT=0 onload="initPage();">
<form name=diagnosisLogForm action=diagnosislog.php method=POST>
<input type="hidden" name="target" value="">
<input type="hidden" name="mount" value="">
<input type="hidden" name="device" value="">
<input type="hidden" name="filename" value="">
<input type=hidden name=save value=0>

<table border=0 cellspacing=0 cellpadding=0 width='100%' height=100% bgcolor=white>
  <tr>
    <td width=5>          </td>
    <td valign=top>

<?php
CreateAboutDiv();
CreateSaveDiv("diagnosislog.html");

ExecuteIOCommand($_SESSION["diagsDirectory"] . "hpdiagsai", "<getDiagnosisLog/>", $diagnosisLogString, $diagnosisLogError);

$oss = $oss . sprintf("<table width=100%% border=0 cellspacing=0 cellpadding=0>\n");
$oss = $oss . sprintf("<tr><td bgcolor=#cccccc height=10></td><td width=5 colspan=4></td><td bgcolor=#cccccc width=5></td></tr>\n");
$oss = $oss . sprintf("<tr>\n<td width=6 bgcolor=#cccccc></td><td width=5></td><td colspan=2 valign=top>");

$oss = $oss . sprintf("<table width=100%% cellspacing=0 cellpadding=0><tr><td height=5><table width=100%% cellspacing=0 cellpadding=0>\n  <tr class=heading>\n    <td class=heading width=500>%s, %s</td>\n", TR("MSG_DEVICE"), TR("MSG_TEST"));
$oss = $oss . sprintf("    <td class=heading width=150 align=center>%s</td>\n", TR("MSG_NUMBER_OF_TIMES_DIAGNOSED"));
$oss = $oss . sprintf("    <td class=heading width=100 align=center>%s</td>\n", TR("MSG_NUMBER_OF_ERRORS"));

$oss = $oss . sprintf("    <td class=heading width=100 align=center>%s</td>\n  </tr>\n</table>\n</td></tr><tr><td valign=top>", TR("MSG_DIAGNOSIS_TIME"));
$oss = $oss . sprintf("<div style='");
$ci = new client_info();
if (strstr($ci->get_client_platform(), "indows"))
{
  if (strstr($ci->get_client_browser(), "IE"))
    $oss = $oss . sprintf("height:370");
  else
    $oss = $oss . sprintf("height:320");
}
else
{
  if (IsPhoenix())
    $oss = $oss . sprintf("height:320");
  else
    $oss = $oss . sprintf("height:329");
}
$oss = $oss . sprintf(";overflow:auto'>\n<table width=100%% cellspacing=0 cellpadding=0 style='border-left: 2px #968f89 solid;border-right: 2px #968f89 solid;border-bottom: 2px #968f89 solid;'>\n");

if ($_REQUEST["clear"] == "1") // if user clicked the Clear button
{
  $clearError = "";
  $diagnosisLogString = "";
  $clearLogString = sprintf("<clearDiagnosisLog language='%s'/>", $language);
  ExecuteIOCommand($_SESSION["diagsDirectory"] . "hpdiagsai", $clearLogString, $diagnosisLogString, $clearError);
}

if ($diagnosisLogString != "")
{
  $xmldoc = @new DomDocument($diagnosisLogString);
  $rootElement = @$xmldoc->document_element();
  //echo htmlentities($xmldoc->html_dump_mem());

  $rowColor = "";
  $diagnosisLogXpath = @xpath_new_context($xmldoc->document_element());
  $diagnosisLogRecords = @xpath_eval($diagnosisLogXpath, "/diagnosisLogRecord");
  $num_diagnosisLogRecords = count($diagnosisLogRecords->nodeset); // should only be 1 - replace with find first match if possible
  for ($i=0; $i < $num_diagnosisLogRecords; $i++)
  {
    $diagnosisLogRecord = $diagnosisLogRecords->nodeset[$i];
    $diagnosisCaption = $diagnosisLogRecord->get_attribute("diagnosisCaption");
    $diagnosisTime = $diagnosisLogRecord->get_attribute("testTime");
    $passedCount = $diagnosisLogRecord->get_attribute("passedCount");
    $failedCount = $diagnosisLogRecord->get_attribute("failedCount");
      $oss = $oss . sprintf("  <tr bgcolor='%s' valign=top>\n", $rowColor);
    if ($failedCount)
      $gif = "failed.gif";
    else
      $gif = "ok.gif";
      $oss = $oss . sprintf("    <td width=500><img src='%s'>&nbsp;&nbsp;%s</td>\n", $gif, $diagnosisCaption);
    if (!$failedCount)
      $failedCount = 0;
    $timesTested = $passedCount + $failedCount;
      $oss = $oss . sprintf("    <td width=150 align=center>%d</td>\n", $timesTested);
    $oss = $oss . sprintf("    <td width=100 align=center>%d</td>\n", $failedCount);
      $oss = $oss . sprintf("    <td width=100 align=center>%s</td>\n  </tr>\n", $diagnosisTime);

      // Alternate the row color
    if($rowColor == "")
      $rowColor = "#eeeeee"; // make gray
    else
      $rowColor = ""; // make white

  }
  $oss = $oss . sprintf("</table>\n</div>\n</td></tr></table>");
  printf("%s", $oss);  

  printf("</td>\n<td width=5 bgcolor=white></td>\n<td bgcolor=#cccccc width=5></td>\n</tr>\n");
  printf("<tr><td bgcolor=#cccccc height=5></td><td width=5 colspan=4></td><td bgcolor=#cccccc width=5></td></tr>\n");
  printf("<tr><td bgcolor=#cccccc width=5 colspan=6 height=5></td></tr>\n");
  printf("<tr><td colspan=5 height=5></td></tr></table>\n");
  if (!IsOnline() || IsFactory())
    printf("<table border=0 width=100%%>\n<tr>\n<td width=70%%>%s</td><td align=right>%s</td><td align=right >%s</td>\n</tr>\n", MakeButton(TR("MSG_EXIT") ." ". TR("MSG_DIAGNOSTICS"), "parent.frames.headerFrame.exit();"), MakeButton(TR("MSG_CLEAR_DIAGNOSIS_LOG"), "clearLog();"), MakeButton(TR("MSG_SAVE"), "DisplaySaveDiv();"));
  else
    printf("<table border=0 width=100%%>\n<tr>\n<td width=70%%>&nbsp;</td><td align=right>%s</td><td align=right >%s</td>\n</tr>\n", MakeButton(TR("MSG_CLEAR_DIAGNOSIS_LOG"), "clearLog();"), MakeButton(TR("MSG_SAVE"), "DisplaySaveDiv();"));
  printf("</table>\n\n");
  
  printf("</td></tr></table>");
}

printf("<div id='wait' style='Visibility:Visible; display:inline;'><center><br>%s<br><img src='hourglassani.gif'></center></div>", TR("MSG_PLEASE_WAIT"));

printf("<SCRIPT Language='Javascript'>\n");
printf("function clearLog()\n{\n");
printf("  if (window.confirm(\"%s\"))\n", TR("MSG_CLEAR_LOG_CONFIRMATION"));
printf("    document.location='diagnosislog.php?clear=1';\n}\n");
printf("</script>");

SaveFileScript("diagnosisLogForm");

if ($HTTP_POST_VARS["save"] == "2")  // check if file exits
  Save_CheckIfFileExists($_POST['target'], $_POST['device'], $_POST['mount'], $_POST['filename'], 'diagnosisLogForm');

if ($HTTP_POST_VARS["save"] == "1") // keep savePrompt displayed
  printf("<script language='Javascript'>\ndocument.getElementById('savePrompt').style.display = 'inline';\ndocument.getElementById('savePrompt').style.visibility = 'visible';\n</script>\n");

if ($HTTP_POST_VARS["save"] == "3")  
{ // Save page

  //$result = SaveFile($HTTP_POST_VARS["filename"],$HTTP_POST_VARS["saveLocation"], "HP Insight Diagnostics " . TR("MSG_VERSION") . " " . getBuildVersion() . "<br>" . TR("Computer Name") . ": " . getComputerName() . $oss);
  $result = SaveFile($_POST['filename'], $_POST['target'], $_POST['mount'], $_POST['device'], "HP Insight Diagnostics " . TR("MSG_VERSION") . " " . getBuildVersion() . "<br>" . TR("Computer Name") . ": " . getComputerName() . $oss);
  Save_Complete($result);
}
// We're done procesing the xml so hide the hourglass
printf("<script language='Javascript'>\ndocument.getElementById('wait').style.visibility='hidden';\ndocument.getElementById('wait').style.display='none';\n</script>");
		
?>
</form>
<script language="Javascript" src="norightclick.js"></script>
</body>
</html>