<?php

function ExecuteIOCommand ($executableName, $stdinData, &$stdoutData, &$stderrData)
{
  $return_value = 1;
  $stdoutData = "";
  $stderrData = "";

  $descriptorspec = array(
  0 => array("pipe", "r"),  // stdin
  1 => array("pipe", "w"),  // stdout
  2 => array("pipe", "w")); // stderr

  $process = proc_open($executableName, $descriptorspec, $pipes);
  if (is_resource($process))
  {
    // $pipes now looks like this:
    // 0 => writeable handle connected to child stdin
    // 1 => readable handle connected to child stdout
    // 2 => readable handle connected to child stderr
    fwrite($pipes[0], $stdinData);
    fclose($pipes[0]);

    while(!feof($pipes[1]))
    {
    $linestr = fgets($pipes[1]);
      $stdoutData = $stdoutData . $linestr;
    }
    fclose($pipes[1]);


    while(!feof($pipes[2]))
    {
    $linestr = fgets($pipes[2]);
      $stderrData = $stderrData . $linestr;
    }
    fclose($pipes[2]);

    // It is important that you close any pipes before calling
    // proc_close in order to avoid a deadlock
    $return_value = proc_close($process);
  }

  return $return_value;
}

?>
